curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/cases/c1a5e000-0000-4000-8000-000000000001/notes/' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"actor_email": "jsmith@example.com",
"actor_name": "<string>",
"mentioned_emails": [
"jsmith@example.com"
],
"is_internal": true,
"attachments": [
{
"s3_key": "<string>",
"filename": "<string>",
"file_size": 123,
"url": "<string>"
}
],
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
]
}Cases
List Case Notes
List notes on the case, newest first.
GET
/
v3
/
organization
/
{organization_id}
/
application
/
{application_id}
/
cases
/
{case_uuid}
/
notes
/
curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/cases/c1a5e000-0000-4000-8000-000000000001/notes/' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/notes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"actor_email": "jsmith@example.com",
"actor_name": "<string>",
"mentioned_emails": [
"jsmith@example.com"
],
"is_internal": true,
"attachments": [
{
"s3_key": "<string>",
"filename": "<string>",
"file_size": 123,
"url": "<string>"
}
],
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
]
}
List notes on a case, newest first. Notes are plain text with optional attachments and tags - there is no rich-text formatting.
Related
Authorizations
Path Parameters
Organization UUID.
Application UUID.
Case UUID.
Example:
"c1a5e000-0000-4000-8000-000000000001"
Query Parameters
Page size.
Required range:
x >= 1Zero-based offset.
Required range:
x >= 0Response
200 - application/json
Paginated notes.
Number of matching rows. Exact up to 100, capped at 100 beyond that for performance. Rely on next being null to detect the last page.
Absolute URL of the next page, or null.
Absolute URL of the previous page, or null.
Show child attributes
Show child attributes
⌘I